> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debt-wise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Credit Score Factors

> Retrieve a user's credit score and how various factors are impacting it



## OpenAPI

````yaml api-reference/openapi.yaml GET /api/users/{id}/credit_scores
openapi: 3.0.1
info:
  title: DebtWise API
  version: '2024-07-01'
  description: >-
    The DebtWise API suite is the primary means for developers to offer debt
    management tools within their existing applications.
  contact:
    name: DebtWise Support
    url: https://debt-wise.com
    email: support@debt-wise.com
servers:
  - url: https://staging.debt-wise.com
    description: Sandbox server (uses test data)
  - url: https://app.debt-wise.com
    description: Production server (uses live data)
security:
  - bearerAuth: []
tags:
  - name: Ping
  - name: Users
  - name: Accounts
  - name: Credit Scores
  - name: Equifax
  - name: Debt Payoff Plan
  - name: Debt Payoff Plan Payments
  - name: Articles
  - name: Debt Calculator
paths:
  /api/users/{id}/credit_scores:
    parameters:
      - $ref: '#/components/parameters/userIdParam'
      - $ref: '#/components/parameters/acceptEncodingParam'
      - $ref: '#/components/parameters/apiVersionParam'
    get:
      tags:
        - Credit Scores
      summary: Credit Score Factors
      description: Retrieve a user's credit score and how various factors are impacting it
      operationId: retrieveCreditScore
      responses:
        '200':
          description: Returns a user's credit score and details of the factors behind it
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreditScore'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
components:
  parameters:
    userIdParam:
      name: id
      in: path
      schema:
        type: integer
        example: 1
      description: An userId.
      required: true
    acceptEncodingParam:
      name: Accept-Encoding
      in: header
      description: We can compress a response with gzip.
      required: false
      schema:
        type: string
        example: gzip deflate
    apiVersionParam:
      name: API-Version
      in: header
      description: API API Version. See Versioning page for more details.
      required: false
      schema:
        type: string
        example: '2024-07-01'
  schemas:
    CreditScore:
      type: object
      required:
        - id
        - date
        - score
        - credit_mix
        - new_credit
      properties:
        id:
          type: integer
          example: 1
          description: Credit score ID
        date:
          type: string
          example: '2024-07-11'
          description: Current credit score date. Last updated from vendor.
        last_name:
          type: string
          example: Smith
          description: User's last name
        score:
          type: integer
          example: 815
          minimum: 300
          maximum: 850
          description: User's VantageScore 3.0. From
        increase:
          type: integer
          example: 10
          minimum: -850
          maximum: 850
          description: User's credit score increase after last update
        payment_history:
          $ref: '#/components/schemas/PaymentHistory'
        credit_utilization:
          $ref: '#/components/schemas/CreditUtilization'
        derogatory_marks:
          $ref: '#/components/schemas/DerogatoryMarks'
        credit_age:
          $ref: '#/components/schemas/CreditAge'
        credit_mix:
          $ref: '#/components/schemas/CreditMix'
        new_credit:
          $ref: '#/components/schemas/NewCredit'
    InternalServerError:
      type: object
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              example: internal_server_error
              description: An identifier of an error type inside API.
            message:
              type: string
              example: >-
                We've notified our engineers and hope to address this issue
                shortly.
              description: A human-readable error description.
    PaymentHistory:
      type: object
      required:
        - amount
        - factor
      properties:
        amount:
          type: number
          example: 97.5
          minimum: 0
          maximum: 100
          description: Percent of payments which was done on time
        factor:
          type: string
          example: Good
          enum:
            - Good
            - Poor
          description: >-
            Represents the factor which can be either 'Good' or 'Poor'. Good if
            amount more or equals 90.
    CreditUtilization:
      type: object
      required:
        - amount
        - factor
      properties:
        amount:
          type: number
          example: 15
          minimum: 0
          maximum: 100
          description: Credit utilization amount.
        factor:
          type: string
          example: Good
          enum:
            - Good
            - Poor
          description: >-
            Represents the factor which can be either 'Good' or 'Poor'. Good if
            amount less or equals 30.
    DerogatoryMarks:
      type: object
      required:
        - amount
        - factor
      properties:
        amount:
          type: integer
          example: 1
          minimum: 0
          maximum: 100
          description: Count of derogatory marks
        factor:
          type: string
          example: Poor
          enum:
            - Good
            - Poor
          description: >-
            Represents the factor which can be either 'Good' or 'Poor'. Good if
            amount is 0.
    CreditAge:
      type: object
      required:
        - amount
        - factor
      properties:
        amount:
          type: number
          example: 7.1
          minimum: 0
          maximum: 100
          description: Average age of your accounts in years
        factor:
          type: string
          example: Good
          enum:
            - Good
            - Poor
          description: >-
            Represents the factor which can be either 'Good' or 'Poor'. Good if
            age is more than 5 years.
    CreditMix:
      type: object
      required:
        - amount
        - factor
      properties:
        amount:
          type: integer
          example: 3
          minimum: 0
          maximum: 6
          description: Count of different account types
        factor:
          type: string
          example: Good
          enum:
            - Good
            - Poor
          description: >-
            Represents the factor which can be either 'Good' or 'Poor'. Good if
            more than 2.
    NewCredit:
      type: object
      required:
        - amount
        - factor
      properties:
        amount:
          type: integer
          example: 1
          minimum: 0
          maximum: 100
          description: 'Count of credit accounts opened for the last 365 days '
        factor:
          type: string
          example: Good
          enum:
            - Good
            - Poor
          description: >-
            Represents the factor which can be either 'Good' or 'Poor'. Good if
            less of equals 2.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````